<?
/********************************************************************************/
/* 小林在贺卡 :	PHP+TXT							        */
/* ==============================						*/
/*  版本: v0.01 -- 2003.03.08					         	*/
/*										*/
/* ---------------------------------------------------				*/
/* - 程式版权 (c) 2003 小林所有	    -		                     		*/
/* - 小林在贺卡版权所有   http://www.xlzx.net.tf    -				*/
/* ---------------------------------------------------				*/
/*										*/
/*						                                */
/* 网站地址:  www.xlzx.net.tf - xlzx.24cc.com - OICQ:26565571		        */
/********************************************************************************/
/*简介：本软件无须数据库支持。                                                  */
/*                                                                              */
/*版权说明: 本软件为免费软件。你可以下载使用。但请保留此声明	                */
/*										*/
/* 本版为测试版。希望大家找出bug！大家多多提建议！	                        */ 
/* 	                                                                        */
/* 申明：由于使用本软件造成任何事故！本人概不负责！				*/
/*										*/
/*      作者：小林   E-mail:lilin525007@sina.com  网址：www.xlzx.net.tf         */
/********************************************************************************/

require("config.php");
include("validate.php");
$book="$data/$idid.php";
if($name=="")
{
echo "<center><br><br><br><br><br><br>贺卡的名称还没填写，请返回补充！谢谢！<P>";
require("retrun.php");
echo "</center>";
exit();
}
?>
<?php
if($qq=="")
{
echo "<center><br><br><br><br><br><br>贺卡的图例没填写，请返回补充！谢谢！<P>";
require("retrun.php");
echo "</center>";
exit();
}

?>

<?php
if($email=="")
{
echo "<center><br><br><br><br><br><br>贺卡的地址没填写，请返回补充！谢谢！<P>";
require("retrun.php");
echo "</center>";
exit();
}
?>

<?php
if(strlen($neiyong)<3)
{
echo "<center><br><br><br><br><br><br>怎么写什么简介也忘了，请返回补充！谢谢！<P>";
require("retrun.php");
echo "</center>";
exit();
}
?>

<?

$garray = file($book);
$cog=count($garray);
for($i=1;$i<$cog;$i++){
if (ereg($name,$garray[$i])){
$larray = explode("|",$garray[$i]);
if($larray[4]=="$neiyong"){
echo "<center><br><br><br><br><br><br>您的留言我们已知道了，请等待版主的回复！谢谢！<P>";
require("retrun.php");
echo "</center>";
exit();
}
}
}
?>
<?
function safe_convert($s) {
        $s=str_replace("|","│",$s);
        $s=str_replace("<","&lt;",$s);
        $s=str_replace(">","&gt;",$s);
        $s=str_replace("\r","",$s);
        $s=str_replace("\t","",$s);
        $s=str_replace("\n","<br>",$s);
        $s=str_replace(" ","&nbsp;",$s);
        return $s;          }
 $name=trim($name);
 $name=safe_convert($name);
 $qq=trim($qq);
 $qq=safe_convert($qq);
 $email=trim($email);
 $email=safe_convert($email);
 $homeurl=trim($homeurl);
 $homeurl=safe_convert($homeurl);
 $neiyong=trim($neiyong);
 $neiyong=safe_convert($neiyong);


$garray = file($book);
$cog=count($garray);
$larray = explode("|",$garray[0]);
$id=$larray[0]+1;
$a=$id;
$xinxi=array($id,$name,$qq,$email,$homeurl,$neiyong,time(),$xlb,$tj,1);
$newguest = implode("|", $xinxi)."|\r\n";
$f = fopen($book,"r+");
$msg = fread($f,filesize($book));
fclose($f);
$fp=@fopen($book,"w+");
@fwrite($fp,$newguest.$msg);
@fclose($fp);
include("news.php");
exit;
?>